Subject: Re: [PATCH 15/15] Add DEFINE_SPUFS_ATTRIBUTE()

From: Arnd Bergmann <[email-masked]>
Date: Thu, 13 Sep 2007 14:17:48 +0200

On Thursday 13 September 2007, Michael Ellerman wrote:
> Well that'd be nice, but I don't see anywhere that that happens. AFAICT
> the acquire we do in the first coredump callback is the first the SPU
> contexts know about their PPE process dying. And spufs is still live, so
> I think we definitely need to grab the mutex, or we might race with
> userspace accessing spufs files.

Right, I was only thinking about the dumping process itself, but there
may be other processes that still have files open for that context.

	Arnd <><